libev under QNX 6.3.2

Rodrigo Campos rodrigocc at gmail.com
Sun Jan 4 20:30:55 CET 2009


Hi!

I successfully compile libev on QNX 6.3.2 the other day. But as I have
to change some (small) things to make it work, I was wondering if QNX
is a supported OS or there's no intrest at all on it.

What I have to do to compile libev on QNX 6.3.2 is edit "configure"
file and replace poll.h with sys/poll.h. QNX 6.3.2 (at least) does not
include /usr/include it uses /usr/qnx632/target/qnx6/usr/include/ and
poll is in "sys" there. I've checked in opengroup and the standard
seems to be without "sys", so I guess this is a QNX bug.

Then run ./configure and then edit config.h: I have to undef
HAVE_SYS_SELECT_H and HAVE_SELECT (it fails to compile otherwise, I
can send the error if you want, but I think its probably another QNX
bug :) and define HAVE_POLL_H (it detects HAVE_POLL but not
HAVE_POLL_H)

Then "make" run OK and the example of the documentation works as expected.


Is there something else I could try to be sure that libev works OK on QNX ?




Thanks a lot,
Rodrigo



More information about the libev mailing list